## org.firebirdsql.management
Interface FBManagerMBean

All Known Implementing Classes:
  FBManager

    public interface FBManagerMBean

Describe interface `FBManagerMBean` here.

Version:
  1.0
Author:
  David Jencks

Method Summary
`void` `createDatabase(String filename, String user, String password)`
`void` `dropDatabase(String fileName, String user, String password)`
`String` `getFileName()`
`String` `getName()`
`String` `getPassword()` mbean get-set pair for field password Get the value of password
`int` `getPort()`
`String` `getServer()`
`String` `getState()`
`String` `getUserName()` mbean get-set pair for field userName Get the value of userName
`boolean` `isCreateOnStart()` mbean get-set pair for field createOnStart Get the value of createOnStart
`boolean` `isDatabaseExists(String fileName, String user, String password)`
`boolean` `isDropOnStop()` mbean get-set pair for field dropOnStop Get the value of dropOnStop
`boolean` `isForceCreate()`
`void` `setCreateOnStart(boolean createOnStart)` Set the value of createOnStart
`void` `setDropOnStop(boolean dropOnStop)` Set the value of dropOnStop
`void` `setFileName(String fileName)` Set the value of fileName
`void` `setForceCreate(boolean forceCreate)`
`void` `setPassword(String password)` Set the value of password
`void` `setPort(int port)`
`void` `setServer(String host)`
`void` `setUserName(String userName)` Set the value of userName
`void` `start()`
`void` `stop()`

Method Detail

### start

    void start()
               throws Exception

  Throws:
    `Exception`

### stop

    void stop()
              throws Exception

  Throws:
    `Exception`

### getName

    String getName()

### getState

    String getState()

### setServer

    void setServer(String host)

### getServer

    String getServer()

### setPort

    void setPort(int port)

### getPort

    int getPort()

### getFileName

    String getFileName()

### setFileName

    void setFileName(String fileName)

  Set the value of fileName

  Parameters:
    `fileName` - Value to assign to fileName

### getUserName

    String getUserName()

  mbean get-set pair for field userName Get the value of userName

  Returns:
    value of userName

### setUserName

    void setUserName(String userName)

  Set the value of userName

  Parameters:
    `userName` - Value to assign to userName

### getPassword

    String getPassword()

  mbean get-set pair for field password Get the value of password

  Returns:
    value of password

### setPassword

    void setPassword(String password)

  Set the value of password

  Parameters:
    `password` - Value to assign to password

### isCreateOnStart

    boolean isCreateOnStart()

  mbean get-set pair for field createOnStart Get the value of createOnStart

  Returns:
    value of createOnStart

### setCreateOnStart

    void setCreateOnStart(boolean createOnStart)

  Set the value of createOnStart

  Parameters:
    `createOnStart` - Value to assign to createOnStart

### isDropOnStop

    boolean isDropOnStop()

  mbean get-set pair for field dropOnStop Get the value of dropOnStop

  Returns:
    value of dropOnStop

### setDropOnStop

    void setDropOnStop(boolean dropOnStop)

  Set the value of dropOnStop

  Parameters:
    `dropOnStop` - Value to assign to dropOnStop

### isForceCreate

    boolean isForceCreate()

### setForceCreate

    void setForceCreate(boolean forceCreate)

### createDatabase

    void createDatabase(String filename,
                        String user,
                        String password)
                        throws Exception

  Throws:
    `Exception`

### dropDatabase

    void dropDatabase(String fileName,
                      String user,
                      String password)
                      throws Exception

  Throws:
    `Exception`

### isDatabaseExists

    boolean isDatabaseExists(String fileName,
                             String user,
                             String password)
                             throws Exception

  Throws:
    `Exception`

Copyright © 2001-2010. All Rights Reserved.